Skip to main content
List Sub-Account API Keys
For security reasons, the apiSecret field returns an empty string in the response. The API secret is only displayed once during the initial API key creation.

Used in these guides

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
subAccountId
string

ID of the sub-account to list API keys for

Example:

"8e667b4a-0b71-4988-8af5-9474dbfaeb51"

limit
integer
default:100
Required range: 1 <= x <= 100
Example:

100

offset
integer
default:0
Required range: 0 <= x <= 10000
Example:

0

Response

Successful response

limit
integer
offset
integer
data
object[]